ONVIF::Media::Elements::Capabilities(3)

NAME
ONVIF::Media::Elements::Capabilities

DESCRIPTION
Perl data type class for the XML Schema defined element Capabilities from the namespace http://www.onvif.org/ver10/media/wsdl.

METHODS

  new
 my $element = ONVIF::Media::Elements::Capabilities->new($data);

Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::Capabilities
   ProfileCapabilities =>  { # ONVIF::Media::Types::ProfileCapabilities
   },
   StreamingCapabilities =>  { # ONVIF::Media::Types::StreamingCapabilities
   },
 },

AUTHOR
Generated by SOAP::WSDL